require 'redmine'

unless Redmine::Plugin.registered_plugins.keys.include?(:redmine_preview_attach_column)
	Redmine::Plugin.register :redmine_preview_attach_column do
	  name 'Preview attached files column plugin'
	  author 'Vitaly Klimov'
	  author_url 'mailto:vitaly.klimov@snowbirdgames.com'
	  description 'Plugin adds column from which attached files can be displayed in a lightbox manner'
	  version '0.0.4'
  end

  require "pac_hooks"
end


Dispatcher.to_prepare :redmine_preview_attach_column do
  require 'pac_patches'
  require_dependency 'query'
  require_dependency 'issue'
  require_dependency 'queries_helper'
  require_dependency 'attachments_helper'

  unless Query.included_modules.include? PreviewAttachColumn::Patches::PreviewColumnQueryPatch
    Query.send(:include, PreviewAttachColumn::Patches::PreviewColumnQueryPatch)
  end

  unless Issue.included_modules.include? PreviewAttachColumn::Patches::PreviewColumnIssuePatch
    Issue.send(:include, PreviewAttachColumn::Patches::PreviewColumnIssuePatch)
  end

  unless QueriesHelper.included_modules.include? PreviewAttachColumn::Patches::QueriesHelperPatch
    QueriesHelper.send(:include, PreviewAttachColumn::Patches::QueriesHelperPatch)
  end

  unless AttachmentsHelper.included_modules.include? PreviewAttachColumn::Patches::AttachmentsHelperPatch
    AttachmentsHelper.send(:include, PreviewAttachColumn::Patches::AttachmentsHelperPatch)
  end

end
